> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar regras de automação

> Lista as regras de automação do escritório, opcionalmente filtradas por evento.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /automation-rules/
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /automation-rules/:
    get:
      tags:
        - Automation Rules
      summary: Listar regras de automação
      description: >-
        Lista as regras de automação do escritório, opcionalmente filtradas por
        evento.
      parameters:
        - schema:
            type: string
          in: query
          name: triggerEvent
          required: false
          description: 'Filtra regras pelo evento disparador (ex.: crm.lead.moved).'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    officeId:
                      type: string
                    integrationId:
                      type: string
                      nullable: true
                    name:
                      type: string
                    enabled:
                      type: boolean
                    triggerEvent:
                      type: string
                    conditions:
                      type: object
                      additionalProperties: {}
                      nullable: true
                    actions:
                      type: array
                      items:
                        type: object
                        properties:
                          action:
                            type: string
                          actionParams:
                            type: object
                            additionalProperties: {}
                        required:
                          - action
                          - actionParams
                        additionalProperties: false
                    elseActions:
                      type: array
                      items:
                        type: object
                        properties:
                          action:
                            type: string
                          actionParams:
                            type: object
                            additionalProperties: {}
                        required:
                          - action
                          - actionParams
                        additionalProperties: false
                      nullable: true
                    priority:
                      type: number
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - officeId
                    - integrationId
                    - name
                    - enabled
                    - triggerEvent
                    - conditions
                    - actions
                    - elseActions
                    - priority
                    - createdAt
                    - updatedAt
                  additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````